National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2019-3835 Detail

Current Description

It was found that the superexec operator was available in the internal dictionary in ghostscript before 9.27. A specially crafted PostScript file could use this flaw in order to, for example, have access to the file system outside of the constrains imposed by -dSAFER.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: 5.5 MEDIUM
Vector:  CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:N/A:N

Nist CVSS score does not match with CNA score
CNA:  Red Hat, Inc.
Base Score: 7.3 HIGH
Vector:  CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00088.html
http://lists.opensuse.org/opensuse-security-announce/2019-09/msg00090.html
http://packetstormsecurity.com/files/152367/Slackware-Security-Advisory-ghostscript-Updates.html Third Party Advisory VDB Entry
http://www.securityfocus.com/bid/107855 Third Party Advisory VDB Entry
https://access.redhat.com/errata/RHSA-2019:0652 Third Party Advisory
https://access.redhat.com/errata/RHSA-2019:0971
https://bugs.ghostscript.com/show_bug.cgi?id=700585 Permissions Required Vendor Advisory
https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2019-3835 Issue Tracking Third Party Advisory
https://lists.debian.org/debian-lts-announce/2019/04/msg00021.html Mailing List Third Party Advisory
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/A43SRQAEHQCKSEMIBINHUNIGHTDCZD7F/ Mailing List Release Notes Third Party Advisory
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/ANBSCZABXQUEQWIKNWJ35IYX24M227EI/ Mailing List Release Notes Third Party Advisory
https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/message/SVERLGEU3OV6RNZ2SIBXREWD3BF5H23N/ Mailing List Release Notes Third Party Advisory
https://seclists.org/bugtraq/2019/Apr/28 Mailing List Third Party Advisory
https://seclists.org/bugtraq/2019/Apr/4 Mailing List Third Party Advisory
https://www.debian.org/security/2019/dsa-4432 Third Party Advisory

Weakness Enumeration

CWE-ID CWE Name Source
CWE-284 Improper Access Control NIST  
CWE-648 Incorrect Use of Privileged APIs Red Hat, Inc.  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:artifex:ghostscript:*:*:*:*:*:*:*:*
     Show Matching CPE(s)
Up to (excluding)
9.27

Configuration 2 ( hide )
 cpe:2.3:a:redhat:ansible_tower:3.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_desktop:7.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_server:7.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_server_aus:7.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_server_eus:7.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_server_tus:7.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:redhat:enterprise_linux_workstation:7.0:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:2.3:o:fedoraproject:fedora:28:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:fedoraproject:fedora:29:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:fedoraproject:fedora:30:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 4 ( hide )
 cpe:2.3:o:debian:debian_linux:8.0:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:debian:debian_linux:9.0:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

17 change records found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2019-3835
NVD Published Date:
03/25/2019
NVD Last Modified:
05/07/2019